PlayN GWT / HTML,不断坚持模块必须(重新)编译

我使用的GettingStarted wiki页面提供的命令行1.2原型创建了一个新项目PlayN。 然后,我进口了Maven项目到Eclipse中,刚刚引进的核心,Java和HTML模块。 如果我用鼠标右键单击Java项目,我可以选择我的主类,一个窗口,显示背景图片弹出。 请注意,我没有做真正的编程又:我只使用默认的项目配置。

接下来,我用通过Eclipse在HTML项目GWT编译,和我没有错误。 当我使用提供的URL(“?gwt.codesvr = 127.0.0.1:9997” 删除位)运行它作为一个Web应用程序,该应用程序运行罚款抛开Eclipse的控制台给出了一个关于发展模式下的警告。 (具体来说,“你在GWT开发模式运行。为了获得最佳性能,你可能想使用另一种方法。”)

但是,如果我运行应用程序的推荐方式,通过删除gwt.codesvr参数,然后我不断收到一个对话框说“GWT模块'testproject”可能需要编译(重)。“

阅读我如何在生产模式下运行的maven /月食/ GWT / playN应用?我试图做后mvn test -Ptest-html ,然后在http指着我的浏览器://本地主机:8080,但它给了同样的错误。

难道我做错了什么?

(编辑:我不知道,如果这第二点是显著与否,但无论如何,我会分享它,当我尝试从Eclipse的一个项目,最新的PlayN原型,我可以看到的是1.0.3,甚至告诉Eclipse的后更新Maven的索引。我在运行Eclipse靛蓝)。

--------------解决方案-------------

我猜你正在运行PlayN 1.0.3。

有一个在1.0.3中的错误:所以,你需要做到以下几点:

  1. 运行GWT编译
  2. 运行Web应用程序,并得到错误信息:“GWT模块'testproject”可能需要编译(重)。“
  3. 再次运行GWT编译,web应用运行时
  4. 刷新用CTRL-F5浏览器

的重要步骤是步骤3。

注意:您可以更新到1.2 PlayN摆脱错误的。 为此,您需要更改文件playn-展示/ pom.xml的。

更改行<version>1.0.3</version><version>1.2</version>

分类: 时间:2015-03-16 人气:8
本文关键词: 日食,GWT,行家,playn
分享到:

相关文章

Copyright (C) 55228885.com, All Rights Reserved.

55228885 版权所有 京ICP备15002868号

processed in 0.240 (s). 10 q(s)